# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: /usr/portage.local/app-misc/ninix-cvs/ninix-aya-cvs-1.9.ebuild,v 0.2 2003/03/09 atzm Exp $

ECVS_BRANCH=""
ECVS_SERVER="cvs.sourceforge.jp:/cvsroot/ninix-aya"
ECVS_USER="anonymous"
ECVS_MODULE="ninix-aya"

inherit cvs python

DESCRIPTION="Desktop mascot currently called that like 'Are Igai No Nanika' for X"
HOMEPAGE="http://www.geocities.co.jp/SiliconValley-Cupertino/7565/
	http://sourceforge.jp/projects/ninix-aya/"

DEPEND="dev-lang/python
	=x11-libs/gtk+-2*
	>=dev-python/pygtk-1.99.13
	media-libs/libpng
	app-arch/unzip
	>=dev-python/cjkcodecs-1.0.2"

KEYWORDS="x86 alpha ~sparc ~sparc64 ~ppc"
LICENSE="GPL-2"
SLOT="0"

S="${WORKDIR}/${ECVS_MODULE}"

pkg_setup(){
	python_version
}

src_compile(){
	local DIR="modules"
	for EACH in ${DIR}
	  do
	  (
		  cd ${S}/${EACH}

		  mv Makefile.${EACH} Makefile.${EACH}.orig
		  sed -e "s/^\([[:blank:]]\+-cp\)/#\1/" \
			  Makefile.${EACH}.orig > Makefile.${EACH}
	  )
	done

	emake prefix=/usr \
		exec_libdir=/usr/lib/python${PYVER}/site-packages/ninix-aya \
		docdir=/usr/share/doc/${P} \
		NINIX=ninix \
		NINIX_INSTALL=ninix-install \
		NINIX_LOOKUP=ninix-lookup \
		NINIX_UPDATE=ninix-update \
		|| die "Compile failed."
}

src_install(){
	emake DESTDIR=${D} \
		prefix=/usr \
		exec_libdir=/usr/lib/python${PYVER}/site-packages/ninix-aya \
		docdir=${D}/usr/share/doc/${P} \
		NINIX=ninix \
		NINIX_INSTALL=ninix-install \
		NINIX_LOOKUP=ninix-lookup \
		NINIX_UPDATE=ninix-update \
		install || die "Install failed."

	prepalldocs
}
